import request from '@/config/axios'

export const talentSearchApi = {
	// 根据条件获取人才列表
	getTalentList: async (data: any, signal: AbortSignal) => {
		return await request.post({ 
			url: `/api/parse/query-kg`,
			data,
			signal,
			baseURL: import.meta.env.VITE_BASE_URL 
		})
	},

	// 根据ID获取名片详情
	getBusinessCardDetails: async (talent_id: number) => {
		return await request.get({ 
			url: `/api/parse/get-business-card/${talent_id}`, 
			baseURL: import.meta.env.VITE_BASE_URL 
		})
	}
}